software-center crashed with AttributeError in version(): 'AppDetailsDebFile' object has no attribute '_deb'

Bug #1008229 reported by Aroiu Ovidiu on 2012-06-03
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Michael Vogt
Precise
High
Michael Vogt

Bug Description

[TEST CASE]
Unfortunately, this is a crash for which reliable steps to reproduce are not available. However, the fix removes the mechanism that can result in the crash, and so simply checking for regressions (and that the crash described in the test case never occurs) will be most useful and will be sufficient.

Regression testing should focus on opening standalone deb files. Please download a deb file from any source other than the standard Ubuntu archives and install it. One available deb file is the Google Talk Plugin that can be downloaded from:

  http://www.google.com/talk/

[REGRESSION POTENTIAL]
Risk of regression is very low, but might manifest as an unexpected exception. Pleaser report anything unexpected in this bug report.

...

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: software-center 5.3.0
ProcVersionSignature: Ubuntu 3.4.0-3.8-generic 3.4.0
Uname: Linux 3.4.0-3-generic x86_64
ApportVersion: 2.1.1-0ubuntu2
Architecture: amd64
Date: Sun Jun 3 23:46:53 2012
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120603)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center /tmp/google-chrome-stable_current_amd64.deb
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center', '/tmp/google-chrome-stable_current_amd64.deb']
SourcePackage: software-center
Title: software-center crashed with AttributeError in version(): 'AppDetailsDebFile' object has no attribute '_deb'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Aroiu Ovidiu (ixanneo) wrote :
tags: removed: need-duplicate-check
Gary Lasker (gary-lasker) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:
1. Is this reproducible?
2. If so, what specific steps should we take to recreate this bug? Be as detailed as possible.
This will help us to find and resolve the problem.

Many thanks!

visibility: private → public
Changed in software-center (Ubuntu):
status: New → Incomplete
David Pitkin (dpitkin) wrote :

Changed to High and ca-escalated because of 112 crashes on errors.ubunut.com on 2-July-2012

tags: added: ca-escalated
Changed in software-center (Ubuntu):
importance: Undecided → High
Michael Vogt (mvo) on 2012-07-02
Changed in software-center (Ubuntu):
status: Incomplete → In Progress
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
milestone: none → precise-updates
assignee: nobody → Michael Vogt (mvo)
Changed in software-center (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → High
Changed in software-center (Ubuntu):
milestone: precise-updates → none
Changed in software-center (Ubuntu Precise):
milestone: none → precise-updates
Michael Vogt (mvo) on 2012-07-19
Changed in software-center (Ubuntu Precise):
assignee: nobody → Michael Vogt (mvo)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.5

---------------
software-center (5.3.5) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/hopefully-fix-lp1008229:
    - fix crash that can happen if there is an error while
      opening a deb file (LP: #1008229)
  * lp:~mvo/software-center/fix-lp1023777:
    - initialize the 'click_url' attribute to fix a crash when
      clicking on the default 'featured' exhibit (LP: #1023777)
  * merge in the 5.2.5 fixes from stable

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp1023336:
   - fix spelling error in the hardware requirements detection
     message for an attached mouse (LP: #1023336)
 -- Michael Vogt <email address hidden> Fri, 20 Jul 2012 08:19:51 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Stéphane Graber (stgraber) wrote :

Reverting the precise task to In Porogress, Fix Commited is for packages that are in the -proposed pocket, this package is still in the Unapproved queue.

Changed in software-center (Ubuntu Precise):
status: Fix Committed → In Progress

Hello Aroiu, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.2.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that software-center version 5.2.5 in precise-proposed fixes this bug per the test case given in the description.

Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.5

---------------
software-center (5.2.5) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-lp1009039:
    - fix treeview selection background (LP: #1009039)
  * lp:~mvo/software-center/fix-lp1011522:
    - fix bug where clicking on "Reinstall previous purchases" twice
      shows endless spinner (LP: #1011522)
  * lp:~mvo/software-center/click_url:
    - adds support for a "click_url" from the exhibits banner to
      support banners for things like the humble-bundle where we
      don't have packages but URLs (LP: #1020205)
  * lp:~mvo/software-center/hopefully-fix-lp1008229:
    - fix crash that can happen if there is an error while
      opening a deb file (LP: #1008229)
  * lp:~mvo/software-center/lp1026494:
    - typo fix in the hw description code (LP: #1026494)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/unity-launcher-integration-fixes:
    - fix bug where for-purchase items are not being added to the Unity
      launcher (LP: #925014)
    - fix bug where the Unity launcher item for an application incorrectly
      points to its app-install-data desktop file rather than its installed
      desktop file (LP: #999427)
    - fix bug where an application's icon remains in the Unity launcher after
      the corresponding application has been uninstalled (LP: #981488)
    - fix bug where the Unity launcher fails to auto-hide after installation
      of a for-purchase item (LP: #1002440)
    - fix bug where items in the "Independent" section are not being added
      to the Unity launcher (LP: #1012877)
  * lp:~gary-lasker/software-center/tech-items-to-launcher-fix-lp1006483:
    - don't add an item to the launcher if its desktop file specifies
      NoDisplay=true (LP: #1006483)
  * lp:~gary-lasker/software-center/launcher-integration-unit-tests:
   - additional unit tests to round out the suite for the Unity
     launcher integration feature
  * lp:~gary-lasker/software-center/fix-lp969907-for-5.2:
    - fix race condition in _app_activated_cb() (LP: #969907)
 -- Michael Vogt <email address hidden> Mon, 23 Jul 2012 16:38:04 +0200

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers